Main Page Modules Class Hierarchy Compound List File List Compound Members

# NEDException Class Reference

`#include <nederror.h>`

List of all members.

## Public Methods

| NEDException (const char *msg,...)
const char* | errorMessage ()

## Protected Attributes

std::string | errormsg

## Detailed Description

Low-level routines throw an exception instead of calling NEDError() directly.

## Constructor & Destructor Documentation

NEDException::NEDException ( | const char * msg,
| ... )

| The error message can be generated in a printf-like manner.

## Member Function Documentation

const char * NEDException::errorMessage ( | )`[inline]`

| Returns the text of the error.

The documentation for this class was generated from the following file:

- nederror.h